void main( void )
{
playmidi("insper.mid");
 int &mbot;
 &mbot = random(7,1);
 if (&mbot == 1)
 
 {
  say_stop("这里好臭啊。", 1);
 }
 if (&mbot == 2)
 
 {
  say_stop("我有种不详的预感...", 1);
 }
//call it once right now
noise();

set_callback_random("noise", 5000, 10000);

}

void noise( void )
{
if (&wizard_see > 2)
  {
  //killed monster already, why would it roar?
  return;
  }

playsound(32, 11000, 4000, 0, 0);
wait(4000);
int &bot = random(4,1);
if (&bot == 1)
say_stop("我们...可以离开了吗？ <颤抖>", 1);
if (&bot == 2)
say_stop("我，我好怕。", 1);
if (&bot == 3)
say_stop("哼， 那什么声音。", 1);

if (&bot == 4)
say_stop("这个洞太恐怖了，还是走吧...", 1);

}
